Subject: bug#24789: Changing console renders my system unresponsive

From: [email-masked] (Ludovic Courtès)
Date: Wed, 26 Oct 2016 14:30:05 +0200

Petter <[email-masked]> skribis:

> I'm having a pretty dramatic experience changing console,
> f.ex. Ctrl+Alt+F4. My system becomes completely unresponsive. Even
> Alt+SysRq+reisub is unable to persuade my system to perform a
> gentlemans reboot. To recover I must do a hard reboot.
>
> Bringing this up in #guix suggests it's not a common issue.
>
> My setup is:
> Libreboot X200
> Docking station
> External monitor connected to the docking station with DisplayPort.
> XFCE
> GuixSD (from git, last commit in my repo
> c11933c920dd7b7cdf68e13e6b3718602129210a)

[...]

> I have no idea if this is really a Guix issue or not, maybe it's
> Linux-libre?

I definitely don’t experience that on my laptop (not an X200).  Perhaps
the KMS module and Xorg driver is at fault?  Which ones are in use?

(My laptop has an Intel graphics card, so i915.ko, though for some
reason Xorg uses xf86-video-intel instead of “modesetting”.)

Ludo’.